## libqtxdg 3.3.1.2

=== src/qtxdg/CMakeLists.txt ===
set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

set(libqtxdg_PUBLIC_H_FILES
    xdgaction.h
    xdgdesktopfile.h
    xdgdirs.h
    xdgicon.h
    xdgmenu.h
    xdgmenuwidget.h
    xmlhelper.h
    xdgautostart.h
    xdgmacros.h
    xdgmimetype.h
)

set(libqtxdg_PUBLIC_CLASSES
    XdgAction
    XdgDesktopFile
    XdgDirs
    XdgIcon
    XdgMenu
    XdgMenuWidget
    XmlHelper
    XdgAutoStart
    XdgMimeType
)

set(libqtxdg_PRIVATE_H_FILES
    xdgmenuapplinkprocessor.h
    xdgmenulayoutprocessor.h
    xdgmenu_p.h
    xdgmenureader.h
    xdgmenurules.h
    xdgdesktopfile_p.h
)

set(libqtxdg_CPP_FILES
    xdgaction.cpp
    xdgdesktopfile.cpp
    xdgdirs.cpp
    xdgicon.cpp
    xdgmenuapplinkprocessor.cpp
    xdgmenu.cpp
    xdgmenulayoutprocessor.cpp
    xdgmenureader.cpp
    xdgmenurules.cpp
    xdgmenuwidget.cpp
    xmlhelper.cpp
    xdgautostart.cpp
    xdgmimetype.cpp
)

add_library(${QTXDGX_LIBRARY_NAME} SHARED
    ${libqtxdg_PUBLIC_H_FILES}
    ${libqtxdg_PRIVATE_H_FILES}
    ${libqtxdg_CPP_FILES}
)

target_link_libraries(${QTXDGX_LIBRARY_NAME}
    PUBLIC
        ${QTX_LIBRARIES}
        ${QTXDGX_ICONLOADER_LIBRARY_NAME}
)

set_target_properties(${QTXDGX_LIBRARY_NAME} PROPERTIES
  VERSION ${QTXDG_VERSION_STRING}
  SOVERSION ${QTXDG_MAJOR_VERSION}
)

target_compile_definitions(${QTXDGX_LIBRARY_NAME}
    PRIVATE
        "QTXDG_COMPILATION=\"1\""
        "QTXDG_VERSION=\"${QTXDG_VERSION_STRING}\""
        "QT_NO_KEYWORDS"
)

target_include_directories(${QTXDGX_LIBRARY_NAME}
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
        "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}>"
        "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}>"
    PRIVATE
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

# create the portble headers
lxqt_create_portable_headers(libqtxdg_PORTABLE_HEADERS
    HEADER_NAMES ${libqtxdg_PUBLIC_CLASSES}
    OUTPUT_DIR "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
)

# Copy public headers (in tree building)
foreach(h ${libqtxdg_PUBLIC_H_FILES})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${bh}" COPYONLY)
endforeach()

# Copy private headers (in tree building)
foreach(h ${libqtxdg_PRIVATE_INSTALLABLE_H_FILES})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}/private/qtxdg/${bh}" COPYONLY)
endforeach()

install(TARGETS
    ${QTXDGX_LIBRARY_NAME} DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${QTXDGX_FILE_NAME}-targets"
    COMPONENT Runtime
)

install(FILES
    ${libqtxdg_PUBLIC_H_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

install(FILES
    ${libqtxdg_PRIVATE_INSTALLABLE_H_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}/private/qtxdg"
    COMPONENT Devel
)

install(FILES
    ${libqtxdg_PORTABLE_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

=== debian/changelog ===
libqtxdg (3.3.1.2-2+deepin) UNRELEASED; urgency=medium

  * Make sure hicolor is searched before dash fallbacks
  * Dash fallbacks can cause all sorts of troubles. Although the inherited
    themes were searched *before* them, the code first ignored `hicolor` among
    the inherited themes and then searched it *after* dash fallbacks. That's
    corrected by the current patch.
  * Fixes #260. That report is also an example of how annoying dash fallbacks
    could be if they aren't used *only* as the last resort.

 -- Tsic <liuhenga@uniontech.com>  Thu, 10 Feb 2022 11:24:07 +0800

## libqtxdg 3.3.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(libqtxdg)

option(BUILD_TESTS "Builds tests" OFF)
option(BUILD_DEV_UTILS "Builds and install development utils" OFF)

# additional cmake files
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(QTXDG_MAJOR_VERSION 3)
set(QTXDG_MINOR_VERSION 3)
set(QTXDG_PATCH_VERSION 1)
set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})

set(LXQTBT_MINIMUM_VERSION "0.6.0")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets Svg Xml DBus)

include(GNUInstallDirs)             # Standard directories for installation
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)

include(LXQtPreventInSourceBuilds)
include(LXQtCreatePkgConfigFile)
include(LXQtCreatePortableHeaders)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Add link optimizations. It make the .so around 33% smaller without any known
# drawback.
include(compiler_settings NO_POLICY_SCOPE)

set(CMAKE_AUTOMOC ON)

if (BUILD_TESTS)
    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Test)
endif()


set(QTXDGX_LIBRARY_NAME "Qt5Xdg")
set(QTXDGX_FILE_NAME "qt5xdg")

set(QTXDGX_ICONLOADER_LIBRARY_NAME "Qt5XdgIconLoader")
set(QTXDGX_ICONLOADER_FILE_NAME "qt5xdgiconloader")
set(QTXDGX_ICONENGINEPLUGIN_LIBRARY_NAME "Qt5XdgIconPlugin")

set(QTXDGX_PKG_CONFIG_DESCRIPTION "Qt5Xdg, a Qt5 implementation of XDG standards")
set(QTXDGX_PKG_CONFIG_REQUIRES "Qt5Core >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5XdgIconLoader = ${QTXDG_VERSION_STRING}")

set(QTXDGX_ICONLOADER_PKG_CONFIG_DESCRIPTION "Qt5XdgIconLader, a Qt5 XDG Icon Loader")
set(QTXDGX_ICONLOADER_PKG_CONFIG_REQUIRES "Qt5Gui >= ${QT_MINIMUM_VERSION}, Qt5Svg >= ${QT_MINIMUM_VERSION}")

set(QTXDGX_INTREE_INCLUDEDIR "${CMAKE_CURRENT_BINARY_DIR}/InTreeBuild/include")

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")

add_subdirectory(src)

if(BUILD_TESTS)
    enable_testing()
    target_compile_definitions(${QTXDGX_LIBRARY_NAME}
        PRIVATE "QTXDG_TESTS=\"1\""
    )
    add_subdirectory(test)
else()
    message(STATUS "")
    message(STATUS "For building tests use -DBUILD_TESTS=Yes option.")
    message(STATUS "")
endif()

if (BUILD_DEV_UTILS)
    add_subdirectory(util)
endif()

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/${QTXDGX_FILE_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config-version.cmake"
    VERSION ${QTXDG_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config-version.cmake"
    VERSION ${QTXDG_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion
)

lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${QTXDGX_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${QTXDGX_LIBRARY_NAME}
    DESCRIPTION ${QTXDGX_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${QTXDGX_FILE_NAME}
    LIBS ${QTXDGX_LIBRARY_NAME}
    REQUIRES ${QTXDGX_PKG_CONFIG_REQUIRES}
    REQUIRES_PRIVATE ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    VERSION ${QTXDG_VERSION_STRING}
    INSTALL
)

lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    DESCRIPTION ${QTXDGX_ICONLOADER_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${QTXDGX_ICONLOADER_FILE_NAME}
    LIBS ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    REQUIRES ${QTXDGX_ICONLOADER_PKG_CONFIG_REQUIRES}
    VERSION ${QTXDG_VERSION_STRING}
    INSTALL
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}"
    COMPONENT Devel
)

install(EXPORT
    "${QTXDGX_FILE_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
    FILE "${QTXDGX_FILE_NAME}-targets.cmake"
    COMPONENT Devel
)

install(EXPORT
    "${QTXDGX_ICONLOADER_FILE_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}"
    FILE "${QTXDGX_ICONLOADER_FILE_NAME}-targets.cmake"
    COMPONENT Devel
)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

#add_custom_target(uninstall
#    COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== debian/changelog ===
libqtxdg (3.3.1.3-1+deepin) UNRELEASED; urgency=medium

  * fix: icon size multiplied by ratio twice

 -- lichangze <lichangze@uniontech.com>  Mon, 03 Apr 2023 15:57:32 +0800

## libqtxdg 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,15 +13,17 @@
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(QTXDG_MAJOR_VERSION 3)
-set(QTXDG_MINOR_VERSION 3)
-set(QTXDG_PATCH_VERSION 1)
+set(QTXDG_MINOR_VERSION 4)
+set(QTXDG_PATCH_VERSION 0)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})
 
 set(LXQTBT_MINIMUM_VERSION "0.6.0")
 set(QT_MINIMUM_VERSION "5.7.1")
+set(GLIB_MINIMUM_VERSION "2.41.0") # Mime Apps new implementation
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets Svg Xml DBus)
+find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED COMPONENTS gobject gio gio-unix)
 
 include(GNUInstallDirs)             # Standard directories for installation
 include(CMakePackageConfigHelpers)
@@ -57,10 +59,6 @@
 set(QTXDGX_ICONLOADER_PKG_CONFIG_REQUIRES "Qt5Gui >= ${QT_MINIMUM_VERSION}, Qt5Svg >= ${QT_MINIMUM_VERSION}")
 
 set(QTXDGX_INTREE_INCLUDEDIR "${CMAKE_CURRENT_BINARY_DIR}/InTreeBuild/include")
-
-if (NOT CMAKE_BUILD_TYPE)
-    set ( CMAKE_BUILD_TYPE Release )
-endif (NOT CMAKE_BUILD_TYPE)
 
 message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")

=== src/qtxdg/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
 set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)
 
 set(libqtxdg_PUBLIC_H_FILES
@@ -11,6 +13,7 @@
     xdgautostart.h
     xdgmacros.h
     xdgmimetype.h
+    xdgmimeapps.h
 )
 
 set(libqtxdg_PUBLIC_CLASSES
@@ -23,18 +26,22 @@
     XmlHelper
     XdgAutoStart
     XdgMimeType
+    XdgMimeApps
 )
 
 set(libqtxdg_PRIVATE_H_FILES
+    qtxdglogging.h
     xdgmenuapplinkprocessor.h
     xdgmenulayoutprocessor.h
     xdgmenu_p.h
     xdgmenureader.h
     xdgmenurules.h
     xdgdesktopfile_p.h
+    xdgmimeapps_p.h
 )
 
 set(libqtxdg_CPP_FILES
+    qtxdglogging.cpp
     xdgaction.cpp
     xdgdesktopfile.cpp
     xdgdirs.cpp
@@ -48,18 +55,32 @@
     xmlhelper.cpp
     xdgautostart.cpp
     xdgmimetype.cpp
+    xdgmimeapps.cpp
+    xdgmimeappsbackendinterface.cpp
+    xdgmimeappsglibbackend.cpp
 )
+
+QT5_ADD_DBUS_INTERFACE(libqtxdg_DBUS_INTERFACE_SRCS
+    dbus/org.freedesktop.Application.xml
+    application_interface
+)
+
+set_property(SOURCE ${libqtxdg_DBUS_INTERFACE_SRCS} PROPERTY SKIP_AUTOGEN ON)
 
 add_library(${QTXDGX_LIBRARY_NAME} SHARED
     ${libqtxdg_PUBLIC_H_FILES}
     ${libqtxdg_PRIVATE_H_FILES}
     ${libqtxdg_CPP_FILES}
+    ${libqtxdg_DBUS_INTERFACE_SRCS}
 )
 
 target_link_libraries(${QTXDGX_LIBRARY_NAME}
     PUBLIC
         ${QTX_LIBRARIES}
         ${QTXDGX_ICONLOADER_LIBRARY_NAME}
+        ${GLIB_LIBRARIES}
+        ${GLIB_GOBJECT_LIBRARIES}
+        ${GLIB_GIO_LIBRARIES}
 )
 
 set_target_properties(${QTXDGX_LIBRARY_NAME} PROPERTIES
@@ -82,6 +103,8 @@
         "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}>"
     PRIVATE
         ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+        ${GLIB_INCLUDE_DIRS}
+        ${GLIB_GIO_UNIX_INCLUDE_DIR}
 )
 
 # create the portble headers

=== src/tools/mat/CMakeLists.txt ===
add_executable(qtxdg-mat
    matcommandmanager.cpp
    matcommandinterface.cpp
    defappmatcommand.cpp
    openmatcommand.cpp
    mimetypematcommand.cpp

    qtxdg-mat.cpp
)

target_compile_definitions(qtxdg-mat
    PRIVATE
        "-DQTXDG_VERSION=\"${QTXDG_VERSION_STRING}\""
        "QT_NO_KEYWORDS"
)

target_link_libraries(qtxdg-mat
    ${QTXDGX_LIBRARY_NAME}
)

install(TARGETS
    qtxdg-mat
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

=== debian/changelog ===
libqtxdg (3.4.0-1build2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:02:54 +0100

libqtxdg (3.4.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:26 +0100

libqtxdg (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Switched to gbp
  * Bumped Standards to 4.4.1, no changes needed
  * Removed Dbus patch, fixed upstream
  * Added new symbols
  * Fixed tools packaging and descriptions 
  * Added qtxdg-dev-tools to libqtxdg recommends

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Oct 2019 18:28:10 +0100

=== debian/control ===
Source: libqtxdg
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libmagic-dev,
               libqt5svg5-dev,
               lxqt-build-tools (>= 0.6.0),
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
Homepage: https://github.com/lxqt/libqtxdg

Package: libqt5xdg3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         file,
         libfile-mimeinfo-perl,
         libglib2.0-bin,
         shared-mime-info
Recommends: qttranslations5-l10n
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt (shared lib)
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdgiconloader3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gtk-update-icon-cache
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdgiconloader
Description: Implementation of the XDG Iconloader for Qt (shared lib)
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libmagic-dev,
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader-dev (= ${binary:Version})
Recommends: qtxdg-dev-tools (= ${source:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt. It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdgiconloader-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5svg5-dev,
         libqt5xdgiconloader3 (= ${binary:Version})
Description: Development files for libqtxdgiconloader
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides development files.

Package: qtxdg-dev-tools
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader3 (= ${binary:Version})
Description: Tools for QtXdg
 This package provide some tools for qtxdg:
 * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
 * qtxdg-iconfinder - Find icons the QtXdg way
 * qtxdg-mat - Mime app tool for QtXdg

## libqtxdg 3.5.0

=== debian/changelog ===
libqtxdg (3.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
    - Update symbols from amd64 build logs.
  * Bump Standards-version to 4.5.0, no changes needed.
  * debhelper -> debhelper-compat.
  * Run wrap-and-sort.
  * Update binary-without-manpage overrides.
  * Fix possible-unindented-list-in-extended-description.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:01:42 -0500

libqtxdg (3.4.0-1ubuntu1) focal; urgency=medium

  [ Alf Gaida ]
  * New upstream version 3.4.0
  * Switched to gbp
  * Bumped Standards to 4.4.1, no changes needed
  * Added new symbols
  * Fixed tools packaging and descriptions
  * Added qtxdg-dev-tools to libqtxdg recommends

  [ apt-ghetto ]
  * Take the package from salsa.debian.org
  * Update it for ci/unstable
  * Update debian/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Oct 2019 18:28:10 +0100

libqtxdg (3.3.1-0ubuntu2) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:40:02 +0000

libqtxdg (3.3.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Add lxqt-build-tools to build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 08 Mar 2019 23:13:56 -0600

libqtxdg (3.3.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 21:47:42 -0600

libqtxdg (3.2.0-2ubuntu1) cosmic; urgency=medium

  * Bump Standards-version to 4.1.5, no changes needed.
  * Run wrap-and-sort.
  * Fix inability to drag a menu item to the desktop.
  * Following Debian, add a runtime dependency of libglib2.0-bin to libqtxdg3
    (Closes: #902054, #902055).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 13 Jul 2018 23:02:19 -0500

libqtxdg (3.2.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update copyright file.
  * Remove "~" from debhelper depends.
  * Update the watch file to point to the new upstream location.
  * Remove trailing whitespace from rules.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 21:18:58 -0500

=== debian/control ===
Source: libqtxdg
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libmagic-dev,
               libqt5svg5-dev,
               lxqt-build-tools (>= 0.7.0),
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/libqtxdg/
Vcs-Git: https://phab.lubuntu.me/source/libqtxdg.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
Homepage: https://github.com/lxqt/libqtxdg

Package: libqt5xdg3
Architecture: any
Multi-Arch: same
Depends: file,
         libfile-mimeinfo-perl,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qttranslations5-l10n
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt (shared lib)
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdgiconloader3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gtk-update-icon-cache
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdgiconloader
Description: Implementation of the XDG Iconloader for Qt (shared lib)
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: libmagic-dev,
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader-dev (= ${binary:Version}),
         ${misc:Depends}
Recommends: qtxdg-dev-tools (= ${source:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt. It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdgiconloader-dev
Architecture: any
Section: libdevel
Depends: libqt5svg5-dev,
         libqt5xdgiconloader3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for libqtxdgiconloader
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides development files.

Package: qtxdg-dev-tools
Architecture: any
Section: devel
Depends: libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools for QtXdg
 This package provide some tools for qtxdg:
  * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
  * qtxdg-iconfinder - Find icons the QtXdg way
  * qtxdg-mat - Mime tool for QtXdg

## libqtxdg 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,12 @@
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(QTXDG_MAJOR_VERSION 3)
-set(QTXDG_MINOR_VERSION 4)
+set(QTXDG_MINOR_VERSION 6)
 set(QTXDG_PATCH_VERSION 0)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 set(GLIB_MINIMUM_VERSION "2.41.0") # Mime Apps new implementation
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
libqtxdg (3.6.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 3.6.0.
  * refresh debian/libqt5xdg3.symbols file.
  * Fix unindented lines.
  * Add salsa-ci.yml file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 25 Dec 2020 10:53:00 +0800

=== debian/control ===
Source: libqtxdg
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libmagic-dev,
               libqt5svg5-dev,
               lxqt-build-tools (>= 0.6.0),
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
Homepage: https://github.com/lxqt/libqtxdg

Package: libqt5xdg3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         file,
         libfile-mimeinfo-perl,
         libglib2.0-bin,
         shared-mime-info
Recommends: qttranslations5-l10n
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt (shared lib)
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdgiconloader3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gtk-update-icon-cache
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdgiconloader
Description: Implementation of the XDG Iconloader for Qt (shared lib)
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libmagic-dev,
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader-dev (= ${binary:Version})
Recommends: qtxdg-dev-tools (= ${source:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt. It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdgiconloader-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5svg5-dev,
         libqt5xdgiconloader3 (= ${binary:Version})
Description: Development files for libqtxdgiconloader
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides development files.

Package: qtxdg-dev-tools
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader3 (= ${binary:Version})
Description: Tools for QtXdg
 This package provide some tools for qtxdg:
 .
  * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
  * qtxdg-iconfinder - Find icons the QtXdg way
  * qtxdg-mat - Mime app tool for QtXdg

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/libqtxdg/releases .*/libqtxdg-([\d\.]+)\.tar\.xz

## libqtxdg 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,17 +13,18 @@
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(QTXDG_MAJOR_VERSION 3)
-set(QTXDG_MINOR_VERSION 6)
-set(QTXDG_PATCH_VERSION 0)
+set(QTXDG_MINOR_VERSION 7)
+set(QTXDG_PATCH_VERSION 1)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 set(GLIB_MINIMUM_VERSION "2.41.0") # Mime Apps new implementation
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets Svg Xml DBus)
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED COMPONENTS gobject gio gio-unix)
+find_package(XTerm)
 
 include(GNUInstallDirs)             # Standard directories for installation
 include(CMakePackageConfigHelpers)

=== src/qtxdg/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
     xdgmacros.h
     xdgmimetype.h
     xdgmimeapps.h
+    xdgdefaultapps.h
 )
 
 set(libqtxdg_PUBLIC_CLASSES
@@ -27,6 +28,7 @@
     XdgAutoStart
     XdgMimeType
     XdgMimeApps
+    XdgDefaultApps
 )
 
 set(libqtxdg_PRIVATE_H_FILES
@@ -58,6 +60,7 @@
     xdgmimeapps.cpp
     xdgmimeappsbackendinterface.cpp
     xdgmimeappsglibbackend.cpp
+    xdgdefaultapps.cpp
 )
 
 QT5_ADD_DBUS_INTERFACE(libqtxdg_DBUS_INTERFACE_SRCS

=== src/tools/mat/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
     defappmatcommand.cpp
     openmatcommand.cpp
     mimetypematcommand.cpp
+    defwebbrowsermatcommand.cpp
+    defemailclientmatcommand.cpp
+    deffilemanagermatcommand.cpp
 
     qtxdg-mat.cpp
 )

=== debian/changelog ===
libqtxdg (3.7.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:37:20 +0300

libqtxdg (3.7.1-0ubuntu1) impish; urgency=medium

  * New upstream version 3.7.1
  * Bump Standards-Version to 4.5.1
  * Bump build dependency lxqt-build-tools to 0.9.0
  * Update and fix debian/copyright
  * Update symbols
    - Demangle symbols
    - Remove unused symbols
    - Add Build-Depends-Package metadata field
  * Update debian/qtxdg-dev-tools.lintian-overrides

 -- apt-ghetto <apt-ghetto@protonmail.com>  Sat, 07 Aug 2021 16:19:54 +0200

libqtxdg (3.6.0-1ubuntu3) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:58:55 +0000

libqtxdg (3.6.0-1ubuntu2) hirsute; urgency=medium

  * Fixed s390x symbols errors.
  * fixed previous changelog too.

 -- Raman Sarda <theloudspeaker@disroot.org>  Fri, 12 Feb 2021 02:28:10 +0530

libqtxdg (3.6.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.
  * Updated debhelper-compat to 13.
  * Updated symbols file.

 -- Raman Sarda <theloudspeaker@disroot.org>  Fri, 12 Feb 2021 00:25:21 +0530

libqtxdg (3.5.0-0ubuntu3) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 14:09:29 +0300

libqtxdg (3.5.0-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 15:40:52 +0300

=== debian/control ===
Source: libqtxdg
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libmagic-dev,
               libqt5svg5-dev,
               lxqt-build-tools (>= 0.9.0),
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/libqtxdg/
Vcs-Git: https://phab.lubuntu.me/source/libqtxdg.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
Homepage: https://github.com/lxqt/libqtxdg

Package: libqt5xdg3
Architecture: any
Multi-Arch: same
Depends: file,
         libfile-mimeinfo-perl,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qttranslations5-l10n
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt (shared lib)
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdgiconloader3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gtk-update-icon-cache
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdgiconloader
Description: Implementation of the XDG Iconloader for Qt (shared lib)
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: libmagic-dev,
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader-dev (= ${binary:Version}),
         ${misc:Depends}
Recommends: qtxdg-dev-tools (= ${source:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt. It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdgiconloader-dev
Architecture: any
Section: libdevel
Depends: libqt5svg5-dev,
         libqt5xdgiconloader3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for libqtxdgiconloader
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides development files.

Package: qtxdg-dev-tools
Architecture: any
Section: devel
Depends: libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools for QtXdg
 This package provide some tools for qtxdg:
  * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
  * qtxdg-iconfinder - Find icons the QtXdg way
  * qtxdg-mat - Mime app tool for QtXdg

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_DEV_UTILS=YES \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxqt/libqtxdg/releases .*/libqtxdg-([\d\.]+)\.tar\.xz

## libqtxdg 3.9.1

=== debian/changelog ===
libqtxdg (3.9.1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Aug 2022 18:43:56 -0700

libqtxdg (3.9.1-2) experimental; urgency=medium

  * Bumped Standards-Version to 4.6.1, no change required.
  * Upstreamed symbols file for libqt5xdgiconloader3 from Ubuntu.
  * Changed "binary-without-manpage" to "no-manual-page" in
    qtxdg-dev-tools.lintian-overrides.
  * Upstreamed watch file from Ubuntu.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 28 Jun 2022 23:10:20 -0500

libqtxdg (3.9.1-1) experimental; urgency=medium

  * New upstream release (Closes: #1013334).
  * Add back symbols file.
  * Update install file.
  * Add my name to Uploaders.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 27 Jun 2022 22:28:56 -0500

libqtxdg (3.8.0-2) experimental; urgency=medium

  * Fix upstream metadata.
  * Add Rules-Requires-Root: no.
  * Remove unnecessary -Wl,--as-needed.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 13 Feb 2022 23:24:53 +0800

libqtxdg (3.8.0-1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 3.8.0

  [ S. 7 ]
  * Update copyright
  * Bump Standards to 4.6.0 (no changes)
  * Refresh debian/libqt5xdg3.symbols file.
  * Refresh debian/libqt5xdgiconloader3.symbols file
  * debian/libqt5xdg3.install: install lxqt-qtxdg.conf and qtxdg.conf.
  * Update changelog

  [ Andrew Lee (李健秋) ]
  * Update debian/copyright.
  * Use debhelper-compat = 13, no changes needed.
  * Rework on symbols for i386.
  * debian/rules: Add cmake fix to make reprotest happy.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 11 Jan 2022 15:09:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: libqtxdg
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libmagic-dev,
                libqt5svg5-dev,
-               lxqt-build-tools (>= 0.9.0),
+               lxqt-build-tools (>= 0.10.0),
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.1
-Vcs-Browser: https://phab.lubuntu.me/source/libqtxdg/
-Vcs-Git: https://phab.lubuntu.me/source/libqtxdg.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
+Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
 Homepage: https://github.com/lxqt/libqtxdg
 
 Package: libqt5xdg3
@@ -89,6 +89,7 @@
          ${shlibs:Depends}
 Description: Tools for QtXdg
  This package provide some tools for qtxdg:
+ .
   * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
   * qtxdg-iconfinder - Find icons the QtXdg way
   * qtxdg-mat - Mime app tool for QtXdg

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_DEV_UTILS=YES \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libqtxdg 3.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,18 @@
 
 option(BUILD_TESTS "Builds tests" OFF)
 option(BUILD_DEV_UTILS "Builds and install development utils" OFF)
+option(QTXDG_INSTALL_DEFAPPS_CONFIG "Install default app config files" ON)
 
 # additional cmake files
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(QTXDG_MAJOR_VERSION 3)
-set(QTXDG_MINOR_VERSION 7)
-set(QTXDG_PATCH_VERSION 1)
+set(QTXDG_MINOR_VERSION 10)
+set(QTXDG_PATCH_VERSION 0)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 set(GLIB_MINIMUM_VERSION "2.41.0") # Mime Apps new implementation
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -30,6 +31,7 @@
 include(CMakePackageConfigHelpers)
 include(GenerateExportHeader)
 
+include(LXQtConfigVars)
 include(LXQtPreventInSourceBuilds)
 include(LXQtCreatePkgConfigFile)
 include(LXQtCreatePortableHeaders)
@@ -62,6 +64,14 @@
 set(QTXDGX_INTREE_INCLUDEDIR "${CMAKE_CURRENT_BINARY_DIR}/InTreeBuild/include")
 
 message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
+
+if (QTXDG_INSTALL_DEFAPPS_CONFIG)
+    file(GLOB QTXDG_CONFIG_FILES config/*.conf)
+    set(QTXDG_DEFAPPS_CONF_INSTALL_DIR
+        "${LXQT_ETC_XDG_DIR}" CACHE PATH "Path to qtxdg default apps conf files install dir")
+    mark_as_advanced(QTXDG_DEFAPPS_CONF_INSTALL_DIR)
+endif()
+
 
 add_subdirectory(src)
 
@@ -156,6 +166,13 @@
     COMPONENT Devel
 )
 
+if (QTXDG_INSTALL_DEFAPPS_CONFIG)
+    install(FILES ${QTXDG_CONFIG_FILES}
+        DESTINATION "${QTXDG_DEFAPPS_CONF_INSTALL_DIR}"
+        COMPONENT Runtime
+    )
+endif()
+
 # uninstall target
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"

=== debian/changelog ===
libqtxdg (3.10.0-2) unstable; urgency=medium

  * Add soversion in install files to prevent accidentally bumping soversion.
  * Add shlibs files.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 12 Dec 2022 00:32:45 +0800

libqtxdg (3.10.0-1) sid; urgency=medium

  [ Palo Kisa ]
  * debian/watch: Fix github uscan processing
  * New upstream version 3.10.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Nov 2022 23:35:40 +0800

libqtxdg (3.9.1-3) sid; urgency=medium

  * debian/watch: fix uscan error.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.
  * debian/rules: link time optimizations enabled. (Closes: #1015514)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 16:13:13 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libqtxdg
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                libmagic-dev,
                libqt5svg5-dev,
-               lxqt-build-tools (>= 0.10.0),
+               lxqt-build-tools (>= 0.12.0~),
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,

## libqtxdg 3.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,11 +14,11 @@
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(QTXDG_MAJOR_VERSION 3)
-set(QTXDG_MINOR_VERSION 10)
+set(QTXDG_MINOR_VERSION 11)
 set(QTXDG_PATCH_VERSION 0)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 set(GLIB_MINIMUM_VERSION "2.41.0") # Mime Apps new implementation

=== examples/use-qtxdg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(use-qtxdg)

find_package(QT5XDG)
add_executable(use-qtxdg main.cpp)
target_link_libraries(use-qtxdg Qt5Xdg)

=== debian/changelog ===
libqtxdg (3.11.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jul 2023 14:22:58 -0700

libqtxdg (3.11.0-0.1~S7) bookworm; urgency=medium

  * New upstream version

 -- S.7 <severusseptimius7@gmail.com>  Sat, 20 May 2023 10:59:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libqtxdg
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -10,7 +11,7 @@
                debhelper-compat (= 13),
                libmagic-dev,
                libqt5svg5-dev,
-               lxqt-build-tools (>= 0.12.0~),
+               lxqt-build-tools (>= 0.13.0~),
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 #export DH_VERBOSE = 1
 
 export LC_ALL=C.UTF-8
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+
 
 %:
 	dh ${@} --buildsystem cmake
@@ -16,6 +17,6 @@
 		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-# No dbgsym package:
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## libqtxdg 3.12.0

=== debian/changelog ===
libqtxdg (3.12.0-1deepin1) unstable; urgency=medium

  * release 3.12.0-1deepin1
  * Add Patch to fix #6480

 -- Mike Chen <chenke@deepin.org>  Tue, 19 Dec 2023 13:49:08 +0800

libqtxdg (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 29 Nov 2023 00:57:28 +0800

libqtxdg (3.11.0-2) unstable; urgency=medium

  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/rules: suppress blhc error by added ignore-line-regexp.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 09 Sep 2023 14:54:54 +0200

libqtxdg (3.11.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * use unstable instead of sid in distribution.
  * Change team email to <team+lxqt@tracker.debian.org>.
  * Update d/copyright.

  [ Andrew Lee (李健秋) ]
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 12 Jun 2023 19:33:06 +0200

libqtxdg (3.10.0-1) unstable; urgency=medium

  [ Palo Kisa ]
  * debian/watch: Fix github uscan processing
  * New upstream version 3.10.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Nov 2022 23:35:40 +0800

libqtxdg (3.9.1-3) unstable; urgency=medium

  * debian/watch: fix uscan error.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.
  * debian/rules: link time optimizations enabled. (Closes: #1015514)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 16:13:13 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libqtxdg
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -16,7 +15,7 @@
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
 Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
